import {
	WeaTools
} from 'ecCom'

export const getAuth = (params) => {
	return WeaTools.callApi('/api/hrm/checktype/getHasRight', 'GET', params);
}

export const getButtonsMenu = (params) => {
	return WeaTools.callApi('/api/hrm/checktype/getRightMenu', 'GET', params);
}

export const getTableInfo = (params) => {
	return WeaTools.callApi('/api/hrm/checktype/getSearchList', 'GET', params);
}

export const getSearchItems = (params) => {
	return WeaTools.callApi('/api/hrm/checktype/getSearchCondition', 'GET', params);
}

export const getForm = (params) => {
	return WeaTools.callApi('/api/hrm/checktype/getCheckTypeForm?is_multilang_set=true', 'GET', params);
}

export const deleteTableInfo = (params) => {
	return WeaTools.callApi('/api/hrm/checktype/delete', 'POST', params);
}

export const add = (params) => {
	return WeaTools.callApi('/api/hrm/checktype/add', 'POST', params);
}

export const edit = (params) => {
	return WeaTools.callApi('/api/hrm/checktype/edit', 'POST', params);
}